# Draw
TKDraw
Draw

# Draw_MapOfAsciiString Class Reference

`#include <Draw_MapOfAsciiString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Draw_MapOfAsciiString (const Standard_Integer NbBuckets=1)
Standard_EXPORT Draw_MapOfAsciiString & | Assign (const Draw_MapOfAsciiString &Other)
Draw_MapOfAsciiString & | operator= (const Draw_MapOfAsciiString &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Draw_MapOfAsciiString ()
Standard_EXPORT Standard_Integer | Add (const TCollection_AsciiString &K)
Standard_EXPORT void | Substitute (const Standard_Integer I, const TCollection_AsciiString &K)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const TCollection_AsciiString &K) const
Standard_EXPORT const TCollection_AsciiString & | FindKey (const Standard_Integer I) const
const TCollection_AsciiString & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | FindIndex (const TCollection_AsciiString &K) const

## Private Member Functions

Standard_EXPORT | Draw_MapOfAsciiString (const Draw_MapOfAsciiString &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Draw_MapOfAsciiString::Draw_MapOfAsciiString | ( | const Standard_Integer | NbBuckets = `1` | ) |

Draw_MapOfAsciiString::~Draw_MapOfAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT Draw_MapOfAsciiString::Draw_MapOfAsciiString | ( | const Draw_MapOfAsciiString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer Draw_MapOfAsciiString::Add | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT Draw_MapOfAsciiString& Draw_MapOfAsciiString::Assign | ( | const Draw_MapOfAsciiString & | Other | ) |

Standard_EXPORT void Draw_MapOfAsciiString::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean Draw_MapOfAsciiString::Contains | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Integer Draw_MapOfAsciiString::FindIndex | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT const TCollection_AsciiString& Draw_MapOfAsciiString::FindKey | ( | const Standard_Integer | I | ) | const

void Draw_MapOfAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Draw_MapOfAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* Draw_MapOfAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TCollection_AsciiString& Draw_MapOfAsciiString::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

Draw_MapOfAsciiString& Draw_MapOfAsciiString::operator= | ( | const Draw_MapOfAsciiString & | Other | ) | `[inline]`

Standard_EXPORT void Draw_MapOfAsciiString::RemoveLast | ( |  | ) |

Standard_EXPORT void Draw_MapOfAsciiString::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void Draw_MapOfAsciiString::Substitute | ( | const Standard_Integer | I,
|  | const TCollection_AsciiString & | K
| ) |

The documentation for this class was generated from the following file:

- Draw_MapOfAsciiString.hxx